
use crate::heap_area::ObjectReference;
use crate::stackframe::StackFrame;

#[derive(Debug)]
pub struct VirtualThread {
    pub stack_frames: Vec<StackFrame>,
    pub thread_object: ObjectReference,
}

impl VirtualThread {
    pub fn new(thread_reference: ObjectReference) -> Self {
        VirtualThread {
            stack_frames: Vec::new(),
            thread_object: thread_reference,
        }
    }

    pub fn add_frame(&mut self, frame: StackFrame) -> () {
        self.stack_frames.push(frame)
    }
}
